cdist-type__package - Man Page

Manage packages

Description

This cdist type allows you to install or uninstall packages on the target. It dispatches the actual work to the package system dependent types.

Required Parameters

None

Optional Parameters

name

The name of the package to install. Default is to use the object_id as the package name.

version

The version of the package to install. Default is to install the version chosen by the local package manager.

type

The package type to use. Default is determined based on the $os explorer variable. e.g. * __package_apt for Debian * __package_emerge for Gentoo

state

Either "present" or "absent", defaults to "present"

Examples

# Install the package vim on the target
__package vim --state present

# Same but install specific version
__package vim --state present --version 7.3.50

# Force use of a specific package type
__package vim --state present --type __package_apt

Authors

Steven Armstrong <steven-cdist--@--armstrong.cc>

Copying

Copyright (C) 2011 Steven Armstrong. You can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Referenced By

cdist-type__package_apk(7), cdist-type__package_apt(7), cdist-type__package_dpkg(7), cdist-type__package_emerge(7), cdist-type__package_emerge_dependencies(7), cdist-type__package_luarocks(7), cdist-type__package_opkg(7), cdist-type__package_pacman(7), cdist-type__package_pip(7), cdist-type__package_pkg_freebsd(7), cdist-type__package_pkgng_freebsd(7), cdist-type__package_pkg_openbsd(7), cdist-type__package_rubygem(7), cdist-type__package_yum(7), cdist-type__package_zypper(7).

May 01, 2020 6.5.5 cdist